ProjectReportsPlugin (Gradle API 4.7)
Date: 2018-04-18

org.gradle.api.plugins

## Class ProjectReportsPlugin

- java.lang.Object
- - org.gradle.api.plugins.ProjectReportsPlugin

- All Implemented Interfaces:
    Plugin<Project>

      public class ProjectReportsPlugin
      extends Object
      implements Plugin<Project>

  A `Plugin` which adds some project visualization report tasks to a project.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEPENDENCY_REPORT`
    `static String` | `HTML_DEPENDENCY_REPORT`
    `static String` | `PROJECT_REPORT`
    `static String` | `PROPERTY_REPORT`
    `static String` | `TASK_REPORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectReportsPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TASK_REPORT

          public static final String TASK_REPORT

      See Also:
        Constant Field Values

    - #### PROPERTY_REPORT

          public static final String PROPERTY_REPORT

      See Also:
        Constant Field Values

    - #### DEPENDENCY_REPORT

          public static final String DEPENDENCY_REPORT

      See Also:
        Constant Field Values

    - #### HTML_DEPENDENCY_REPORT

          public static final String HTML_DEPENDENCY_REPORT

      See Also:
        Constant Field Values

    - #### PROJECT_REPORT

          public static final String PROJECT_REPORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProjectReportsPlugin

          public ProjectReportsPlugin()

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object